package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.SysMessage;

/**
 * 系统消息Service接口
 * 
 * @author haotian
 * @date 2024-11-04
 */
public interface ISysMessageService 
{
    /**
     * 查询系统消息
     * 
     * @param messageId 系统消息主键
     * @return 系统消息
     */
    public SysMessage selectSysMessageByMessageId(Long messageId);

    /**
     * 查询系统消息列表
     * 
     * @param sysMessage 系统消息
     * @return 系统消息集合
     */
    public List<SysMessage> selectSysMessageList(SysMessage sysMessage);

    /**
     * 新增系统消息
     * 
     * @param sysMessage 系统消息
     * @return 结果
     */
    public int insertSysMessage(SysMessage sysMessage);

    /**
     * 修改系统消息
     * 
     * @param sysMessage 系统消息
     * @return 结果
     */
    public int updateSysMessage(SysMessage sysMessage);

    /**
     * 批量删除系统消息
     * 
     * @param messageIds 需要删除的系统消息主键集合
     * @return 结果
     */
    public int deleteSysMessageByMessageIds(Long[] messageIds);

    /**
     * 删除系统消息信息
     * 
     * @param messageId 系统消息主键
     * @return 结果
     */
    public int deleteSysMessageByMessageId(Long messageId);
}
